Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Class AbstractBorderItemEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
                              org.eclipse.gmf.runtime.diagram.ui.editparts.AbstractBorderItemEditPart

All Implemented Interfaces:
  EditPart, GraphicalEditPart, IAdaptable, IAdaptableSelection, IBorderItemEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart, IGraphicalEditPart, INodeEditPart, INotableEditPart, IPrimaryEditPart, NodeEditPart, NotificationListener, RequestConstants

Direct Known Subclasses:
  BorderedBorderItemEditPart

public abstract class AbstractBorderItemEditPart
extends ShapeNodeEditPart
implements IBorderItemEditPart

The class controls the behavior of a border item. It determines the connections coming in and out. Created On: Jul 8, 2003

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`AbstractBorderItemEditPart(View view)` Create an instance.

Method Summary
`IBorderItemLocator` `getBorderItemLocator()` Convenience method to return the locator associated with editpart's figure via the parent figure's layout manager.
`DragTracker` `getDragTracker(Request request)` Return a `DragTracker` instance.
`EditPart` `getPrimaryChildEditPart()` this method will return the primary child EditPart inside this edit part
`EditPolicy` `getPrimaryDragEditPolicy()` Return the editpolicy to be installed as an `EditPolicy#PRIMARY_DRAG_ROLE` role.
`protected void` `refreshBounds()` Refresh the bounds using a `locator` if this editpart's lcoator is a BorderItemLocatorinstance; otherwise, the `super` implementation is used.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
`canAttachNote, createDefaultEditPolicies, createFigure, createNodeFigure, getModelSourceConnections, getModelTargetConnections, getNodeFigure, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, handleNotificationEvent, mapConnectionAnchorToTerminal, mapTerminalToConnectionAnchor`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
`getLocation, getSize, refreshVisuals`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
`getResizableCompartments, getResizableNotationViews, performDirectEditRequest, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addSemanticListeners, basicGetModel, createConnection, createEditPolicies, deactivate, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getContentPaneFor, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getEditDomain, getEditingDomain, getMapMode, getModel, getModelChildren, getNotationView, getPreferredValue, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performRequest, reactivateSemanticModel, refresh, refreshBackgroundColor, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setBackgroundColor, setFont, setFontColor, setForegroundColor, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart
`findEditPart, getChildBySemanticHint, getDiagramEditDomain, getDiagramPreferencesHint, getEditingDomain, getNotationView, getPreferredValue, getPrimaryView, getStructuralFeatureValue, getTopGraphicEditPart, resolveSemanticElement, setStructuralFeatureValue`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart
`disableEditMode, enableEditMode, isEditModeEnabled`

Constructor Detail

### AbstractBorderItemEditPart

    public AbstractBorderItemEditPart(View view)

  Create an instance.

Parameters:
  `view` - the editpart's model.

Method Detail

### refreshBounds

    protected void refreshBounds()

  Refresh the bounds using a `locator` if this editpart's lcoator is a BorderItemLocatorinstance; otherwise, the `super` implementation is used. Locators are used since a `border item element` 's position and extent properties are not persisted.

  Overrides:
    `refreshBounds` in class `ShapeEditPart`

### getBorderItemLocator

    public IBorderItemLocator getBorderItemLocator()

  Convenience method to return the locator associated with editpart's figure via the parent figure's layout manager.

  Specified by:
    `getBorderItemLocator` in interface `IBorderItemEditPart`
  Returns:
    the `Locator`

### getPrimaryDragEditPolicy

    public EditPolicy getPrimaryDragEditPolicy()

  Return the editpolicy to be installed as an `EditPolicy#PRIMARY_DRAG_ROLE` role. This method is typically called by `LayoutEditPolicy#createChildEditPolicy()`

  Overrides:
    `getPrimaryDragEditPolicy` in class `ShapeEditPart`
  Returns:
    `EditPolicy`

### getPrimaryChildEditPart

    public EditPart getPrimaryChildEditPart()

  this method will return the primary child EditPart inside this edit part

  Specified by:
    `getPrimaryChildEditPart` in interface `IGraphicalEditPart`
  Overrides:
    `getPrimaryChildEditPart` in class `GraphicalEditPart`
  Returns:
    the primary child view inside this edit part

### getDragTracker

    public DragTracker getDragTracker(Request request)

  Return a `DragTracker` instance.

  Specified by:
    `getDragTracker` in interface `EditPart`
  Overrides:
    `getDragTracker` in class `GraphicalEditPart`
  See Also:
    `EditPart.getDragTracker(org.eclipse.gef.Request)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.